| GL Studio C++ Runtime API

Public Member Functions | Public Attributes | List of all members
GlsMovingEye::EyeState_t Struct Reference

Type to store eyepoint state information. More...

`#include <gls_moving_eye.h>`

Inheritance diagram for GlsMovingEye::EyeState_t:

## Public Member Functions
| EyeState_t ()
| EyeState_t (GlsMovingEye *movingEye, GlsEyePoint *targetEye)
Vector | Direction ()

## Public Attributes
Vector | location
| Location of the eyepoint in logical units.
bool | orthographic
| True if orthographic projection, else perspective projection.
double | FOV
| Field of view of eyepoint in Degrees, if fovIsHorizontal is true, this is horizontal.
double | otherFOV
| Field of view for the other direction, based on fovIsHorizontal.
bool | fovIsHorizontal
| True if field of view measurement is along horizonal axis, else along vertical axis.
double | orthoSize
| Size of ortho projection in logical units, if fovIsHorizontal is true, this is horizontal.
double | otherOrthoSize
| Size of ortho projection for the other direction, based on fovIsHorizontal.
double | farClip
| Distance from eyepoint to near clipping plane.
double | nearClip
| Distance from eyepoint to far clipping plane.
FovConstraintType | horizontalConstraint
| The type of constraint in the horizontal direction.
FovConstraintType | verticalConstraint
| The type of constraint in the vertical direction.
Vector | viewVectors [3]
| 3 vectors used to set the orientation of the eyepoint.

## Detailed Description

Type to store eyepoint state information.

## Constructor & Destructor Documentation

## ◆ EyeState_t() [1/2]

EyeState_t | ( |  | ) |

Default constructor

## ◆ EyeState_t() [2/2]

EyeState_t | ( | GlsMovingEye * | movingEye,
|  | GlsEyePoint * | targetEye
| ) |  |

Initialize EyeState_t using targetEye parameters.

Parameters

  movingEye | The GlsMovingEye that the state information is for (needed for coordinate conversions)
  targetEye | The GlsEyePoint to move to

## Member Function Documentation

## ◆ Direction()

Vector Direction | ( |  | ) |
| inline

Copied from GlsEyePoint::Direction()

Returns
  The Z view vector for this state.

The documentation for this struct was generated from the following file:

- gls_moving_eye.h